summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAaron Griffin <aaronmgriffin@gmail.com>2007-03-30 04:30:40 +0200
committerAaron Griffin <aaronmgriffin@gmail.com>2007-03-30 04:30:40 +0200
commit970d2e942eb29bf78fe89895ace4d781970b6e94 (patch)
tree663b8e3ece27a20e13b406550cf29ae8e20b5ba6
parent9a9f1e00da3150150e57fc949b5c45b93afeefe8 (diff)
downloadpacman-970d2e942eb29bf78fe89895ace4d781970b6e94.tar.gz
pacman-970d2e942eb29bf78fe89895ace4d781970b6e94.tar.xz
repo-add leaves .PKGINFO in the current directory
* Misuse of 'tar xf', which should be 'tar tf' Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
-rwxr-xr-xscripts/repo-add2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/repo-add b/scripts/repo-add
index d6e2c5ae..dc280161 100755
--- a/scripts/repo-add
+++ b/scripts/repo-add
@@ -246,7 +246,7 @@ if [ $# -gt 1 ]; then
fi
else
if [ -f "$arg" ]; then
- if ! tar xf "$arg" .PKGINFO 2>&1 >/dev/null; then
+ if ! tar tf "$arg" .PKGINFO 2>&1 >/dev/null; then
echo "error: '$arg' is not a package file, skipping"
else
echo ":: adding package '$arg'"